add wave -noupdate -format Logic -label {100 MHz Clock Input } /rs_top_tb_vhd/clk100
add wave -noupdate -format Logic -label {Reset} /rs_top_tb_vhd/reset
add wave -noupdate -format Literal -label {Error Selection} /rs_top_tb_vhd/error_select
add wave -noupdate -divider {Data Source}
add wave -noupdate -format Literal -label {Data Source} -radix unsigned /rs_top_tb_vhd/uut/fec_sub_row_data
add wave -noupdate -format Logic -label {167 MHz Clock domain Reset} /rs_top_tb_vhd/uut/otu_reset
add wave -noupdate -format Logic -label {156 MHz Clock domain Reset} /rs_top_tb_vhd/uut/odu_reset
add wave -noupdate -divider encoder
add wave -noupdate -format Logic -label {RS Encoder clock} /rs_top_tb_vhd/uut/rs_encoder_top/oduclk
add wave -noupdate -format Logic -label {RS Encoder TX FIFO Write Enable} /rs_top_tb_vhd/uut/rs_encoder_top/tx_wr_en
add wave -noupdate -format Literal -label {RS Encoder Data Input} -radix unsigned /rs_top_tb_vhd/uut/rs_encoder_top/data_in
add wave -noupdate -format Logic -label {RS Encoder Start} /rs_top_tb_vhd/uut/rs_encoder_top/enc_start
add wave -noupdate -format Logic -label {RS Encoder TX FIFO Read Enable} /rs_top_tb_vhd/uut/rs_encoder_top/tx_rd_en
add wave -noupdate -format Literal -label {RS Encoder TX FIFO Output} -radix unsigned /rs_top_tb_vhd/uut/rs_encoder_top/wr_fifo_dout
add wave -noupdate -format Literal -label {RS Encoder Data Output} -radix unsigned /rs_top_tb_vhd/uut/rs_encoder_top/data_out
add wave -noupdate -format Logic -label {Send Error} /rs_top_tb_vhd/uut/send_error
add wave -noupdate -divider Decoder
add wave -noupdate -format Logic -label {RS Decoder clock} /rs_top_tb_vhd/uut/rs_decoder_top/otuclk
add wave -noupdate -format Literal -label {RS Decoder Data Input} -radix unsigned /rs_top_tb_vhd/uut/rs_decoder_top/data_in
add wave -noupdate -format Logic -label {RS Decoder SYNC} /rs_top_tb_vhd/uut/rs_decoder_top/sync
add wave -noupdate -format Logic -label {RS Decoder Information End} /rs_top_tb_vhd/uut/rs_decoder_top/info_end
add wave -noupdate -format Literal -label {RS Decoder Block Start} /rs_top_tb_vhd/uut/rs_decoder_top/rs_dec_blk_strt
add wave -noupdate -format Logic -label {RS Decoder FIFO Read Enable} /rs_top_tb_vhd/uut/rs_decoder_top/rx_rd_en
add wave -noupdate -format Logic -label {RS Decoder FIFO Write Enable} /rs_top_tb_vhd/uut/rs_decoder_top/rx_wr_en
add wave -noupdate -format Logic -label {RS Decoder Empty} /rs_top_tb_vhd/uut/rs_decoder_top/rx_empty
add wave -noupdate -format Literal -label {RS Decoder Data Output} -radix unsigned /rs_top_tb_vhd/uut/rs_decoder_top/data_out
add wave -noupdate -divider {Data Compare}
add wave -noupdate -format Literal -label {Delayed Data Source} -radix hexadecimal /rs_top_tb_vhd/uut/delay_source
add wave -noupdate -format Literal  -label {Reed Solomon Data Output} -radix hexadecimal /rs_top_tb_vhd/uut/rs_data_out
add wave -noupdate -format Logic -label Error /rs_top_tb_vhd/uut/error